=== src/install/Makefile ===
all:
	$(MAKE) -C ..

clean:
	$(MAKE) -C .. clean

.PHONY: all clean
