=== debian/changelog ===
dracut (108-8ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - drop udevsettle patch (these kind of patches should be applied upstream)
    - dracut-core:
      - demote cryptsetup, systemd-cryptsetup, dmsetup, kpartx, lvm2,
        and mdadm to suggests
      - demote binutils to suggests. its only needed when using UEFI executables
    - Include all packages with dracut modules in Apport bug reports
    - autopkgtest: enable tests for s390x again
    - Plymouth hook: Use alternatives instead of plymouth-set-default-theme
    - run upstream-dracut-live autopkgtest on armhf and ppc64el
    - Drop debian-initramfs-post-update.patch. Let update-initramfs call the
      bootloader hooks instead of dracut itself.
    - plymouth: Only pull in the SimpleDRM driver by default
    - Let linux-firmware updates trigger the dracut autopkgtest
    - Cherry-pick some upstream fixes:
      - fix(dracut): use "-name" to avoid find matching temporary directory
      - fix(systemd-sysusers): increase ordering from 68 to 78
      - fix(dracut-systemd): avoid matching extra root= substrings in cmdline
      - fix(resume): avoid matching extra resume= substrings in cmdline
    - fix(udev-rules): exclude udev rules from snapd
  * feat(dmsquash-live-autooverlay): support readlink from uutils
  * test: use GNU dd instead of uutil's dd (to work around bug LP 2129037)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 20 Oct 2025 18:37:02 +0200

dracut (108-8) unstable; urgency=medium

  * dracut-test: fix dropped dependencies on i386

 -- Benjamin Drung <bdrung@debian.org>  Tue, 14 Oct 2025 18:35:08 +0200

dracut (108-7) unstable; urgency=medium

  * dracut-test: drop dependencies on i386 that are not present

 -- Benjamin Drung <bdrung@debian.org>  Tue, 14 Oct 2025 17:27:09 +0200

dracut (108-6) unstable; urgency=medium

  * test: allow running UEFI and kernel-install tests in chroot
  * autopkgtest: depend on bsdextrautils for rev command
  * Move common autopkgtest dependencies to dracut-test
  * autopkgtest: run every upstream test as separate test
  * autopkgtest: depend on util-linux-extra for switch_root in 30-dmsquash
  * test: skip using kernel-install due to bug #1117563
  * autopkgtest: copy dracut.conf.d into test directory

 -- Benjamin Drung <bdrung@debian.org>  Tue, 07 Oct 2025 23:45:56 +0200

dracut (108-5) unstable; urgency=medium

  * autopkgtest: drop skipping removed TEST-23-IMSM
  * Fix kernel-install test cases by avoiding add-all call
  * fix(Makefile): exclude hidden directories from shellcheck part 2

 -- Benjamin Drung <bdrung@debian.org>  Fri, 26 Sep 2025 10:55:23 +0200

dracut (108-4) unstable; urgency=medium

  * Drop build dependency on shfmt on archs where it is not available
  * fix(dracut): library directory creation in --kernel-only
  * dracut-core: Prefer 3cpio over cpio
  * autopkgtest: install pkgconf for TEST-40-SYSTEMD
  * fix(lsinitrd): use lowercase skip variable name

 -- Benjamin Drung <bdrung@debian.org>  Thu, 25 Sep 2025 16:23:44 +0200

dracut (108-3ubuntu3) questing; urgency=medium

  * Default to cpio until 3cpio MIR is complete
  * Cherry-pick some upstream fixes:
    - fix(dracut): use "-name" to avoid find matching temporary directory
    - fix(systemd-sysusers): increase ordering from 68 to 78
    - fix(dracut-systemd): avoid matching extra root= substrings in cmdline
    - fix(resume): avoid matching extra resume= substrings in cmdline
  * fix(udev-rules): exclude udev rules from snapd

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 04 Sep 2025 23:20:52 +0200

dracut (108-3ubuntu2) questing; urgency=medium

  * fix(dracut): library directory creation in --kernel-only

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 14 Aug 2025 20:39:46 +0200

dracut (108-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - drop udevsettle patch (these kind of patches should be applied upstream)
    - dracut-core:
      - demote cryptsetup, systemd-cryptsetup, dmsetup, kpartx, lvm2,
        and mdadm to suggests
      - demote binutils to suggests. its only needed when using UEFI executables
    - Include all packages with dracut modules in Apport bug reports
    - autopkgtest: enable tests for s390x again
    - Plymouth hook: Use alternatives instead of plymouth-set-default-theme
    - run upstream-dracut-live autopkgtest on armhf and ppc64el
    - Drop debian-initramfs-post-update.patch. Let update-initramfs call the
      bootloader hooks instead of dracut itself.
    - plymouth: Only pull in the SimpleDRM driver by default
    - Let linux-firmware updates trigger the dracut autopkgtest
  * Depend on 3cpio instead of cpio

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 13 Aug 2025 23:08:38 +0200

dracut (108-3) unstable; urgency=medium

  * Cherry-pick upstream commits to simplify debian/rules:
    - feat(Makefile): introduce distclean target
    - fix(hwdb): make module-setup.sh executable
    - fix(Makefile): use install for installing files
  * autopkgtest: drop sysvinit-utils and util-linux dependencies
  * dracut-test: depend on mount for mount/umount commands
  * Support shellcheck 0.11
  * Cherry-pick some upstream fixes:
    - fix(dracut-util): crash if CMDLINE ends with quotation mark
    - fix(kernel-modules): add Cadence USB driver to base (Closes: #1108924)
    - fix(lsinitrd): avoid rechecking for squash images
  * Support 3cpio for creating and listing initrds

 -- Benjamin Drung <bdrung@debian.org>  Wed, 13 Aug 2025 14:07:00 +0200

dracut (108-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - drop udevsettle patch (these kind of patches should be applied upstream)
    - dracut-core:
      - demote cryptsetup, systemd-cryptsetup, dmsetup, kpartx, lvm2,
        and mdadm to suggests
      - demote binutils to suggests. its only needed when using UEFI executables
    - Include all packages with dracut modules in Apport bug reports

