=== debian/control ===
Source: dracut
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-apport,
               3cpio [!alpha !hppa !m68k !sh4] <!nocheck>,
               asciidoctor,
               bash-completion,
               cpio [alpha hppa m68k sh4] <!nocheck>,
               libkmod-dev,
               pkgconf,
               shellcheck [!i386 !m68k !powerpc !sh4 !x32] <!nocheck>,
               shfmt [!alpha !hppa !i386 !m68k !powerpc !sh4 !sparc64 !x32] <!nocheck>,
               systemd-dev
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/dracut
Vcs-Git: https://salsa.debian.org/debian/dracut.git
Homepage: https://github.com/dracut-ng/dracut-ng/wiki

Package: dracut-core
Architecture: any
Multi-Arch: foreign
Depends: 3cpio | cpio,
         dracut-install,
         e2fsprogs,
         kmod,
         systemd-sysv | initscripts | sysvinit-core,
         udev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: console-setup, systemd, zstd
Suggests: binutils,
          cryptsetup,
          dmsetup,
          kpartx,
          lvm2,
          mdadm,
          systemd-cryptsetup
Breaks: dracut-live (<< 059-2), dracut-network (<< 057+157-2)
Replaces: dracut-live (<< 059-2), dracut-network (<< 057+157-2)
Description: dracut is an event driven initramfs infrastructure (core tools)
 Unlike existing initramfs's, this is an attempt at having as little as
 possible hard-coded into the initramfs as possible.  The initramfs has
 (basically) one purpose in life -- getting the rootfs mounted so that
 it can transition to the real rootfs.  This is all driven off of
 device availability.  Therefore, instead of scripts hard-coded to do
 various things, it depends on udev to create device nodes and
 to detect the rootfs.
 Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
 NBD and FCOE with dracut-network.

Package: dracut
Architecture: all
Multi-Arch: foreign
Depends: dracut-core (<< ${binary:Version}+b+~),
         dracut-core (>= ${binary:Version}),
         linux-base,
         ${misc:Depends}
Suggests: dracut-network
Provides: linux-initramfs-tool
Conflicts: initramfs-tools, live-tools
Description: Initramfs generator using udev
 This package builds a bootable initramfs for Linux kernel packages.  The
 initramfs is loaded along with the kernel and is responsible for
 mounting the root filesystem and starting the main init system.

Package: dracut-install
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dracut-core (<< 060+5-7~)
Replaces: dracut-core (<< 060+5-7~)
Description: dracut is an event driven initramfs infrastructure (dracut-install)
 This package just contains the dracut-install command to be used by
 initramfs generating tools.

Package: dracut-network
Architecture: all
Multi-Arch: foreign
Depends: dracut-core,
         iproute2,
         iputils-arping,
         network-manager | systemd | connman | isc-dhcp-client,
         ${misc:Depends}
Recommends: curl, nbd-client, nfs-common, open-iscsi
Suggests: iscsiuio
Breaks: dracut-core (<< 105)
Replaces: dracut-core (<< 105)
Description: dracut is an event driven initramfs infrastructure (network modules)
 Package to build a dracut initramfs with network support. This
 includes dracut modules for NFS, CIFS, iSCSI, HTTP, NBD, FCP and FCOE.

Package: dracut-squash
Architecture: all
Multi-Arch: foreign
Depends: dracut-core, squashfs-tools, ${misc:Depends}
Breaks: dracut-core (<< 050-1)
Replaces: dracut-core (<< 050-1)
Description: dracut is an event driven initramfs infrastructure (squashfs modules)
 Package to build an initramfs with most files in a squashfs image.
 .
 This package provides a dracut module to build an initramfs, but
 store most files in a squashfs image, result in a smaller initramfs
 size and reduce runtime memory usage.

Package: dracut-live
Architecture: all
Multi-Arch: foreign
Depends: dmsetup, dracut-core, ${misc:Depends}
Recommends: dracut-network
Suggests: isomd5sum
Breaks: dracut-core (<< 050-1), dracut-network (<< 050-1)
Replaces: dracut-core (<< 050-1), dracut-network (<< 050-1)
Description: dracut is an event driven initramfs infrastructure (live image modules)
 Package to build a dracut initramfs with live image capabilities.
 .
 This package requires everything which is needed to build an
 initramfs with dracut, with live image capabilities, like Live CDs.

Package: dracut-test
Architecture: any
Multi-Arch: foreign
Depends: bsdextrautils,
         cryptsetup,
         dracut-core,
         ipxe-qemu,
         linux-image-generic [!i386],
         lvm2,
         make,
         mdadm [!i386],
         mount,
         ovmf,
         qemu-efi-aarch64 [arm64],
         qemu-efi-arm [armhf],
         qemu-system-native [!i386],
         seabios [ppc64el],
         systemd,
         systemd-cryptsetup,
         zstd,
         ${misc:Depends}
Breaks: dracut-core (<< 105)
Replaces: dracut-core (<< 105)
Description: dracut is an event driven initramfs infrastructure (test modules)
 This package provides the Dracut modules and configuration files for the
 Dracut test suite. This package is intended for testing Dracut itself
 and is of no use for ordinary users. If you're not sure about this package,
 you don't need it.
 .
 This package has following additional dependencies for reducing the amount
 of dependencies needed in autopkgtest:
 .
  * bsdextrautils for rev command
  * Linux kernel
  * make
  * QEMU
  * Recommends from dracut-core
