=== debian/changelog ===
dracut (109-5) unstable; urgency=medium

  * test(run-qemu): use hvc0 console on s390x (Closes: #1120955)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 29 Nov 2025 00:43:17 +0100

dracut (109-4) unstable; urgency=medium

  * test: update UEFI patches to the version merged upstream

 -- Benjamin Drung <bdrung@debian.org>  Wed, 26 Nov 2025 01:17:48 +0100

dracut (109-3) unstable; urgency=medium

  * test:
    - forward journald logs to console in V=1 or V=2
    - replace rev command by sed and drop bsdextrautils dependency
    - use UEFI for QEMU when available and support UEFI on ARM
  * dracut-test: ovmf is only needed for amd64
  * Drop debian-initramfs-post-update.patch because the update-initramfs
    script (shipped by dracut) invokes the bootloader hooks from
    /etc/initramfs/post-update.d. (Closes: #1091455)
  * autopkgtest: Skip failing (hanging) 41-full-systemd on s390x
    (Closes: #1120955)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 25 Nov 2025 19:40:40 +0100

dracut (109-2) unstable; urgency=medium

  * Fix FTCBFS: Export ARCH for make (Closes: #1120911)
  * fix(systemd-networkd): install and enable
    systemd-networkd-resolve-hook.socket (Closes: #1120955)
  * dracut-live: depend on parted for dmsquash-live-autooverlay
  * autopkgtest: remove unneeded dependencies
  * autopkgtest: run kernel-install tests again after #1117563 got fixed
  * Add Apport hook to include all packages with dracut modules in report
    (LP: #2081183)
  * test: exit with code 77 if test is skipped
  * dracut-core: demote *cryptsetup, dmsetup, kpartx, lvm2, mdadm to suggests
    These packages should be installed in case they are needed for the disk
    setup but should not installed by default via Recommends.
  * test: set console cmdline depending on the architecture
  * run autopkgtest on all relevant architectures (LP: #2115532)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 19 Nov 2025 17:15:22 +0100

dracut (109-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream and refresh remaining patches
  * test: remove test module
  * fix(debian): lower the ordering number for debian conf
  * fix(systemd-sysusers): increase ordering from 68 to 78
  * Provide separate install files for s390x
  * dracut-core: add new module kernel-modules-export
  * autopkgtest: test 30-DMSQUASH requires dracut-network now
  * autopkgtest: run full systemd test separately with a separate set of
    additional dependencies.
  * autopkgtest: add test 44-drivers and 50-network
  * debian/rules: drop explicit --configprofile configure option
  * fix(dracut): decrease logging by default
  * autopkgtest: drop unneeded dbus and isc-dhcp-client dependency
  * update-initramfs: drop intermediate initrd.new (see bug 1116593)
  * autopkgtest: drop setting KVERSION
  * configure: disable dracut-cpio explicitly
  * Upgrade debian/watch to version 5
  * Drop Rules-Requires-Root: no, which is the default now

 -- Benjamin Drung <bdrung@debian.org>  Wed, 05 Nov 2025 10:27:36 +0100
