=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: dracut
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
+Maintainer: Thomas Lange <lange@debian.org>
 Uploaders: Benjamin Drung <bdrung@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-apport,
                3cpio [!alpha !hppa !m68k !sh4] <!nocheck>,
                asciidoctor,
                bash-completion,
@@ -15,7 +13,6 @@
                shellcheck [!i386 !m68k !powerpc !sh4 !x32] <!nocheck>,
                shfmt [!alpha !hppa !i386 !m68k !powerpc !sh4 !sparc64 !x32] <!nocheck>,
                systemd-dev
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/dracut
 Vcs-Git: https://salsa.debian.org/debian/dracut.git
@@ -32,14 +29,8 @@
          udev,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: console-setup, systemd, zstd
-Suggests: binutils,
-          cryptsetup,
-          dmsetup,
-          kpartx,
-          lvm2,
-          mdadm,
-          systemd-cryptsetup
+Recommends: binutils, console-setup, systemd, zstd
+Suggests: cryptsetup, dmsetup, kpartx, lvm2, mdadm, systemd-cryptsetup
 Breaks: dracut-live (<< 059-2), dracut-network (<< 057+157-2)
 Replaces: dracut-live (<< 059-2), dracut-network (<< 057+157-2)
 Description: dracut is an event driven initramfs infrastructure (core tools)
@@ -109,7 +100,7 @@
 Package: dracut-live
 Architecture: all
 Multi-Arch: foreign
-Depends: dmsetup, dracut-core, ${misc:Depends}
+Depends: dmsetup, dracut-core, parted, ${misc:Depends}
 Recommends: dracut-network
 Suggests: isomd5sum
 Breaks: dracut-core (<< 050-1), dracut-network (<< 050-1)
@@ -123,22 +114,17 @@
 Package: dracut-test
 Architecture: any
 Multi-Arch: foreign
-Depends: bsdextrautils,
-         cryptsetup,
-         dracut-core,
+Depends: dracut-core,
          ipxe-qemu,
          linux-image-generic [!i386],
-         lvm2,
          make,
-         mdadm [!i386],
          mount,
-         ovmf,
+         ovmf [amd64],
          qemu-efi-aarch64 [arm64],
          qemu-efi-arm [armhf],
          qemu-system-native [!i386],
          seabios [ppc64el],
-         systemd,
-         systemd-cryptsetup,
+         systemd (>= 259~rc1),
          zstd,
          ${misc:Depends}
 Breaks: dracut-core (<< 105)
@@ -152,7 +138,6 @@
  This package has following additional dependencies for reducing the amount
  of dependencies needed in autopkgtest:
  .
-  * bsdextrautils for rev command
   * Linux kernel
   * make
   * QEMU
